
-- Fast Long Handed Inserter:
local fast_long_handed_inserter_default_entity = data.raw.inserter["long-handed-inserter"]
local fast_long_handed_inserter_default_item   = data.raw.item["long-handed-inserter"]

-- Graphics Path:
local graphics_path = "__Compact_Factory__/graphics/inserters"

local fast_long_handed_inserter = 
{
    {
        type = "inserter",
        name = "fast-long-handed-inserter",
        icon = graphics_path .. "/fast_long_handed_inserter/inserter-icon.png",
        based_on = fast_long_handed_inserter_default_entity,
        minable = { result = "fast-long-handed-inserter" },
        rotation_speed = fast_long_handed_inserter_default_entity.rotation_speed * 2,
        extension_speed = fast_long_handed_inserter_default_entity.extension_speed * 2,
        energy_source = { drain = "0.8kW" },
        hand_base_picture   = { filename = graphics_path .. "/fast_long_handed_inserter/inserter-hand-base.png" },
        hand_closed_picture = { filename = graphics_path .. "/fast_long_handed_inserter/inserter-hand-closed.png" },
        hand_open_picture   = { filename = graphics_path .. "/fast_long_handed_inserter/inserter-hand-open.png" },
        platform_picture = 
        { 
            sheet = { filename = graphics_path .. "/fast_long_handed_inserter/inserter-platform.png" },
        }
    },
    {
        type = "item",
        name = "fast-long-handed-inserter",
        icon = graphics_path .. "/fast_long_handed_inserter/inserter-icon.png",
        based_on = fast_long_handed_inserter_default_item,
        order = "c[long-handed-inserter][2]",
        place_result = "fast-long-handed-inserter",
    },
    {
        type = "recipe",
        name = "fast-long-handed-inserter",
        enabled = false,
        ingredients =
        {
            {"long-handed-inserter", 2},
            {"advanced-circuit", 1},
        },
        result = "fast-long-handed-inserter",
    },
}

if config.inserters then
    data_extend(fast_long_handed_inserter)
end
