
local repair_pack_default_item = data.raw["repair-tool"]["repair-pack"]

local repair_pack_base_speed      = repair_pack_default_item.speed
local repair_pack_base_durability = repair_pack_default_item.durability

local repair_pack_compression_level = 4         -- times as expensive
local repair_pack_base_mod = 2                  -- times as effective

local advanced_repair_pack = 
{
    {
        type = "repair-tool",
        name = "advanced-repair-pack",
        icon = "__Compact_Factory__/graphics/repair_packs/advanced-repair-pack-icon.png",
        based_on = repair_pack_default_item,
        order = "b[repair]-a[repair-pack][2]",
        speed = repair_pack_base_speed * repair_pack_base_mod,
        durability = repair_pack_base_durability * repair_pack_base_mod,
    },
    {
        type = "recipe",
        name = "advanced-repair-pack",
        enabled = false,
        ingredients =
        {
            {repair_pack_default_item.name, repair_pack_compression_level},
            {"advanced-circuit", 1},
            {"steel-plate", 1},
        },
        result = "advanced-repair-pack",
    },
}

local ultimate_repair_pack = 
{
    {
        type = "repair-tool",
        name = "ultimate-repair-pack",
        icon = "__Compact_Factory__/graphics/repair_packs/ultimate-repair-pack-icon.png",
        based_on = repair_pack_default_item,
        order = "b[repair]-a[repair-pack][3]",
        speed = repair_pack_base_speed * math.pow(repair_pack_base_mod, 2),
        durability = repair_pack_base_durability * math.pow(repair_pack_base_mod, 2),
    },
    {
        type = "recipe",
        name = "ultimate-repair-pack",
        enabled = false,
        ingredients =
        {
            {"advanced-repair-pack", repair_pack_compression_level},
            {"processing-unit", 1},
            {"speed-module", 1},
        },
        result = "ultimate-repair-pack",
    },
}

if config.repair_packs then
    data_extend(advanced_repair_pack)
    data_extend(ultimate_repair_pack)
end
