
local inserter_list =
{
    "fast-long-handed-inserter",
}

local function get_effects()
    
    local effects = {}
    
    if config.inserters then
        for k, v in ipairs(inserter_list) do
            table.insert(effects, { type = "unlock-recipe", recipe = v })
        end
    end
    
    return effects
    
end

local compact_inserters_tech =
{
    type = "technology",
    name = "compact-inserters",
    icon = "__Compact_Factory__/graphics/technology/compact-inserters.png",
    icon_size = 128,
    effects = get_effects(),
    prerequisites = { "logistics-3" },
    upgrade = true,
    unit =
    {
        count = #inserter_list * 100,
        ingredients = 
        {
            {"science-pack-1", 1},
            {"science-pack-2", 1},
            {"science-pack-3", 1},
        },
        time = 30,
    },
    order = "c-k-a",
}

if config.inserters or config.preserve_techs then
    data_extend(compact_inserters_tech)
end