
local function get_effects_for_level(level)
    
    local effects = {}
    
    if config.repair_packs then
        if level == 1 then
            table.insert(effects, { type = "unlock-recipe", recipe = "advanced-repair-pack" })
        elseif level == 2 then
            table.insert(effects, { type = "unlock-recipe", recipe = "ultimate-repair-pack" })
        end
    end
    
    return effects
    
end

local function get_ingredients_for_level(level)
    
    local green = 
    {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
    }
    
    if level <= 1 then
        return green
    else
        table.insert(green, {"science-pack-3", 1})
        return green
    end
    
end

local function get_prequisites_for_level(level)
    
    local preqs = {}
    
    if level == 1 then
        preqs = { "construction-robotics" }
    elseif level == 2 then
        preqs = { "speed-module" }
    end
    
    if level == 2 then
        table.insert(preqs, 1, "compact-repair-packs" )
    elseif level >= 3 then
        table.insert(preqs, 1, "compact-repair-packs-" .. level - 1 )
    end
    
    return preqs
    
end

local function make_compact_tech_for_level(level)
    
    return
    {
        type = "technology",
        name = level == 1 and "compact-repair-packs" or "compact-repair-packs-" .. level,
        icon = "__Compact_Factory__/graphics/technology/compact-repair-packs-" .. level .. ".png",
        icon_size = 128,
        effects = get_effects_for_level(level),
        prerequisites = get_prequisites_for_level(level),
        upgrade = true,
        unit =
        {
            count = 400 * level - 200,
            ingredients = get_ingredients_for_level(level),
            time = 15 * level,
        },
        order = "c-k-a",
    }
    
end

local repair_pack_end_tech = 2

local CompactTech = {}

if config.repair_packs or config.preserve_techs then
    for level = 1, repair_pack_end_tech do
        table.insert(CompactTech, make_compact_tech_for_level(level))
    end
end

data_extend(CompactTech)
