
local function get_ingredients_for_level(level)
    
    local blue = 
    {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
    }
    
    if level <= 1 then
        return blue
    else
        table.insert(blue, {"alien-science-pack", 1})
        return blue
    end
    
end

local function get_prequisites_for_level(level)
    
    local preqs = {}
    
    if level == 1 then
        preqs = { "logistic-robotics", "construction-robotics", "logistic-system" }
    elseif level == 2 then
        preqs = { "worker-robots-speed-4" }
    end
    
    if level == 2 then
        table.insert(preqs, 1, "compact-roboports" )
    elseif level >= 3 then
        table.insert(preqs, 1, "compact-roboports-" .. level - 1 )
    end
    
    return preqs
    
end

local function make_compact_tech_for_level(level)
    
    return
    {
        type = "technology",
        name = level == 1 and "compact-roboports" or "compact-roboports-" .. level,
        icon = "__Compact_Factory__/graphics/technology/compact-roboports.png",
        icon_size = 128,
        effects =
        {
            config.roboports and { type = "unlock-recipe", recipe = "roboport-mk" .. level + 1 } or nil,
        },
        prerequisites = get_prequisites_for_level(level),
        upgrade = true,
        unit =
        {
            count = 500 * level - 200,
            ingredients = get_ingredients_for_level(level),
            time = 15 * level,
        },
        order = "c-k-a",
    }
    
end

local CompactTech = {}

if config.roboports or config.preserve_techs then
    for level = 1, roboports_tiers - 1 do
        table.insert(CompactTech, make_compact_tech_for_level(level))
    end
end

data_extend(CompactTech)
